﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="BORIS" Publisher="University of Torino" Version="" ReleaseDate="">
		<UserCategories>
		</UserCategories>
		<SoftwareCategories>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\University of Torino\BORIS\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
		<InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = '{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = 'HKLM:\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKeyList) {
	$RegKey = $RegKeyList | Where-Object {[version]($_.GetValue('DisplayVersion').Split(' ')[0]) -ge [version]$DisplayVersion}

    if($RegKey) {
        return $true
    }
}
			</TEXT>
		</DetectionScript>
	</DeploymentType>
</Application>